IntraModeCfg Struct Reference

Encoder flags for intra prediction. More...

`#include <encoder.h>`

## Data Fields

bool | enable_intra_edge_filter
bool | enable_filter_intra
bool | enable_smooth_intra
bool | enable_paeth_intra
bool | enable_cfl_intra
bool | enable_directional_intra
bool | enable_diagonal_intra
bool | enable_angle_delta
bool | auto_intra_tools_off

## Detailed Description

Encoder flags for intra prediction.

## Field Documentation

## enable_intra_edge_filter

bool IntraModeCfg::enable_intra_edge_filter

Flag to indicate if intra edge filtering process should be enabled.

## enable_filter_intra

bool IntraModeCfg::enable_filter_intra

Flag to indicate if recursive filtering based intra prediction should be enabled.

## enable_smooth_intra

bool IntraModeCfg::enable_smooth_intra

Flag to indicate if smooth intra prediction modes should be enabled.

Referenced by av1_rd_pick_intra_sbuv_mode(), av1_rd_pick_intra_sby_mode(), and search_intra_modes_in_interframe().

## enable_paeth_intra

bool IntraModeCfg::enable_paeth_intra

Flag to indicate if PAETH intra prediction mode should be enabled.

Referenced by av1_rd_pick_intra_sbuv_mode(), av1_rd_pick_intra_sby_mode(), and search_intra_modes_in_interframe().

## enable_cfl_intra

bool IntraModeCfg::enable_cfl_intra

Flag to indicate if CFL uv intra mode should be enabled.

Referenced by av1_rd_pick_intra_sbuv_mode().

## enable_directional_intra

bool IntraModeCfg::enable_directional_intra

Flag to indicate if directional modes should be enabled.

Referenced by av1_rd_pick_intra_sby_mode().

## enable_diagonal_intra

bool IntraModeCfg::enable_diagonal_intra

Flag to indicate if the subset of directional modes from D45 to D203 intra should be enabled. Has no effect if directional modes are disabled.

Referenced by av1_rd_pick_intra_sby_mode().

## enable_angle_delta

bool IntraModeCfg::enable_angle_delta

Flag to indicate if delta angles for directional intra prediction should be enabled.

Referenced by av1_rd_pick_intra_sbuv_mode(), av1_rd_pick_intra_sby_mode(), and search_intra_modes_in_interframe().

## auto_intra_tools_off

bool IntraModeCfg::auto_intra_tools_off

Flag to indicate whether to automatically turn off several intral coding tools. This flag is only used when "--deltaq-mode=3" is true. When set to 1, the encoder will analyze the reconstruction quality as compared to the source image in the preprocessing pass. If the recontruction quality is considered high enough, we disable the following intra coding tools, for better encoding speed: "--enable_smooth_intra", "--enable_paeth_intra", "--enable_cfl_intra", "--enable_diagonal_intra".

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h